# Reset the topology entity registry and mappings

Canonical: https://docs.shumoku.dev/en/server/next/api/postTopologiesByIdRegistryReset
Language: en
Server documentation version: next
Product version: 0.1.6-beta.4
Channel: development

This documentation describes the Server currently in development.

Shumoku Server API · 0.1.6-beta.4 · Topology Mappings

# Reset the topology entity registry and mappings

[OpenAPI source](https://github.com/konoe-akitoshi/shumoku/blob/73ebc72ba0bc0d1caf74e1ed34c89a6debcb0e6a/apps/server/api/openapi.json)

```
POST /api/topologies/{id}/registry/reset
```

## Authentication

sessionCookie / bearerAuth

## Responses

| Status | Description | Schema |
| --- | --- | --- |
| `200` | Registry reset | `MappingSuccess` |
| `400` | Mapping operation failed | `Error` |
| `404` | Mapping operation failed | `Error` |
| `409` | Mapping operation failed | `Error` |
| `422` | Mapping operation failed | `Error` |
| `500` | Mapping operation failed | `Error` |

[`apps/server/api/openapi.json`](https://github.com/konoe-akitoshi/shumoku/blob/73ebc72ba0bc0d1caf74e1ed34c89a6debcb0e6a/apps/server/api/openapi.json)
